#ifndef LOGGING_H
#define LOGGING_H

#include "ftpaccess.h"
#include "LoggingBase.h"

#include <kapplication.h>

class Logging : public LoggingBase {
	Q_OBJECT
public:
	Logging(QWidget *parent=0, const char *name=0);
	~Logging();
public slots:
	void	ftpaccessLoaded(ftpaccess *xs);
	void	update();
	void	mailAdminPressed();
	void	addRecipientPressed();
	void	rmRecipientPressed();
	void	RCPTAdded(QString rcpt);
private:
	void	redraw();
	ftpaccess *	ftpxs;
};

#endif
